注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

信息 灵感 创新

I? =Information,Inspiration,Innovation

 
 
 

日志

 
 
关于我

we are 5. Mathematics, Computation, Programming, Engineering, and Making fun of life.

网易考拉推荐

create spheres  

2012-11-23 08:49:55|  分类: UG NX |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
using System;
using NXOpen;

public class CreateSphere
{
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart = theSession.Parts.Work;
Part displayPart = theSession.Parts.Display;
NXOpen.Features.SphereBuilder sphereBuilder1;     
Point point1;
for(int i=1;i<10;i++)
{
sphereBuilder1 = workPart.Features.CreateSphereBuilder(null);
point1 = workPart.Points.CreatePoint(new Point3d(200*i,0,0));    
sphereBuilder1.Diameter.RightHandSide = ((100*i).ToString());
sphereBuilder1.CenterPoint = point1;
sphereBuilder1.Commit();
sphereBuilder1.Destroy();
}

}
}
Save, Alt+F8, select the file, then you will got this:
create spheres - Castor - 趁年轻,多折腾
 
  评论这张
 
阅读(467)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2016